/* HTML */

* {
  font-family: "Roboto", sans-serif;
}

body {
  font-family: "Helvetica Neue", Arial, sans-serif;
}

header {
  background-color: white;
  z-index: 99;
}

.main {
  display: block;
  max-width: 100vw;
  margin: 0 auto;
  z-index: 1;
}

a {
  color: black;
  text-decoration: none;
}

h2 {
  padding-bottom: 25px;
}

h2 > a {
  font-weight: bolder;
  font-size: 28px;
  color: #f42;
}

h2 > a > i {
  font-size: 22px;
}

.right-side > a {
  padding: 16px;
  border-left: 1px solid rgba(230, 230, 230, 0.89);
}

.latest-funding-info a {
  color: #555;
  font-size: 12px;
  line-height: 18px;
  font-weight: 400;
}

.footer-links a {
  text-decoration: none;
  color: #555;
}

h2 > a:hover {
  color: black;
}

.container {
  display: grid;
  grid-auto-columns: auto;
  padding-top: 100px;
}

/* NAVBAR */

nav {
  height: 48px;
  position: fixed;
  display: flex;
  justify-content: space-between;
  align-items: center;
  background-color: white;
  width: 100%;
  z-index: 999;
}

.right-side {
  display: block;
}

.fa-bars {
  color: #f42;
}

.fa-search {
  color: rgb(138, 137, 137);
}

.left-side {
  height: 48px;
  width: 106px;
  background-color: black;
  display: flex;
  justify-content: center;
  align-items: center;
}

.left-side img {
  filter: invert(100%);
  width: auto;
  height: 26px;
}

.main-logo-media,
.main-logo-mediaquery,
.top-center,
.top-links,
.top-center-ipad,
.top-center-laptop,
.deal-imgconteiner > span {
  display: none;
}

.banner {
  background-color: #fd3;
  position: fixed;
  width: 100%;
  top: 48px;
  height: 60px;
  font-size: 14px;
  font-family: Arial, Helvetica, sans-serif;
  white-space: nowrap;
  line-height: 60px;
  z-index: 99;
}

.banner p {
  text-align: center;
  z-index: 99;
}

/* MAIN ARTICLES */

.main-articles {
  display: grid;
  grid-template-rows: 1fr 1fr 1fr;
  grid-gap: 8px;
}

.main-article1,
.main-article2,
.main-article3 {
  display: grid;
  grid-template-rows: auto auto;
  background: url(../img/main-article.jpg);
  background-size: cover;
  margin: 0;
  box-shadow: inset 70px 70px 70px 70px rgba(0, 0, 0, 0.7);
  min-height: 173px;
}

.main-article1-text {
  grid-row: 2/2;
  display: flex;
  flex-direction: column;
  color: white;
  font-weight: bolder;
  margin: 1vh 1vh;
  justify-content: flex-end;
}

.main-article1-text > h5 {
  font-size: 14px;
  font-weight: 500;
  line-height: 1.5;
}

.main-article1-text > h3 > a {
  font-size: 20px;
  font-weight: 700;
  line-height: 1.25;
}

.main-article1-text > h6 > a {
  font-size: 12px;
  font-weight: 400;
  color: white;
  opacity: 50%;
}

.main-articles1 > img {
  max-width: 100%;
  height: 100%;
  overflow: hidden;
  object-fit: cover;
}

/* LATEST NEWS */

.latest-new {
  width: 90vw;
  margin: 20px auto 0 auto;
  display: grid;
  grid-template-rows: 30px repeat(8, 1fr);
  grid-gap: 10px;
  padding: 20px 0;
}

.latest-news > h2 {
  grid-column: 1/3;
  grid-row: 2/2;
}

.latest-news {
  display: grid;
  grid-template-rows: 3.5fr 0.5fr 0.5fr;
  grid-template-columns: 75px 1fr;
  column-gap: 10px;
}

.latest-news-imgcontainer {
  grid-column: 1/1;
  height: 75px;
  overflow: hidden;
}

.latest-news-imgcontainer > img {
  height: 75px;
}

.latest-news > h4 {
  grid-column: 2/2;
  grid-row: 1/1;
  font-weight: bolder;
  font-size: 14px;
}

.latest-news > span {
  grid-column: 2/2;
  grid-row: 2/2;
  font-size: 12px;
  color: #aaa;
}

/* LATEST FUNDING */

.latest-funding {
  padding: 20px 20px;
  width: 90vw;
  margin: 0 auto;
}

.latest-funding-header h2 {
  padding-bottom: 10px;
}

.sga > h4 {
  color: #f42;
  line-height: 18px;
  padding: 10px 0;
}

.sga > h4 > a:hover {
  color: black;
}

.latest-funding4 {
  display: none;
}

.latest-funding1,
.latest-funding2,
.latest-funding3 {
  display: grid;
  grid-template-rows: 38px auto 160px;
  padding-top: 10px;
}

.latest-funding img {
  width: 60px;
  height: 60px;
  position: absolute;
  margin: 10px;
  z-index: -1;
}

.latest-funding-title {
  background-color: #f42;
  color: white;
  padding: 10px 0 0 80px;
  font-size: 18px;
  font-weight: 700;
  z-index: -2;
}

.latest-funding-subtitle {
  background-color: rgba(255, 68, 34, 0.08);
  padding: 10px 0 15px 80px;
}

.latest-funding-subtitle h4 {
  font-size: 18px;
  font-weight: 700;
  line-height: 1.5;
}

.latest-funding-subtitle h5 {
  font-size: 11px;
}

.latest-funding-info > hr {
  display: block;
  width: 100%;
  background: rgba(255, 67, 34, 0.247);
  height: 1px;
  border: 0;
  margin: 10px 0 0 0;
}

.latest-funding-info {
  background-color: rgba(255, 68, 34, 0.03);
}

.latest-funding-info p {
  padding: 12px 10px 0 10px;
}

.latest-funding-info span {
  color: #aaa;
}

.latest-funding-info i {
  color: black;
  margin-right: 5px;
}

/* HARD FORK */

.hard-fork,
.apps,
.gear,
.tech,
.creative,
.podium,
.insights,
.launch,
.distract {
  width: 90vw;
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  padding: 40px 20px;
}

.hard-fork-main {
  background: url(../img/hard-fork-main.jpeg);
  background-repeat: no-repeat;
  background-size: cover;
  overflow: hidden;
  width: 100%;
  height: 50vw;
  color: white;
  display: flex;
  box-shadow: inset 70px 70px 70px 70px rgba(0, 0, 0, 0.7);
  align-items: flex-end;
}

.hard-fork-text {
  margin: 10px;
}

.hard-fork-text > h5 {
  font-size: 16px;
  margin-bottom: 10px;
}

.hard-fork-text > a > h3 {
  font-size: 20px;
  line-height: 1.1;
  font-weight: 700;
  margin-bottom: 10px;
}

.hard-fork-text > span {
  font-size: 15px;
  margin-bottom: 10px;
}

.hard-fork-latest {
  display: grid;
  grid-template-columns: 1fr  96px;
  grid-template-rows: 96px;
}

.hard-fork-latest-text > h5 {
  font-size: 13px;
  font-weight: 500;
  line-height: 1.5;
}

.hard-fork-latest-text {
  grid-column: 1 /1;
  display: flex;
  flex-direction: column;
  background-color: #fff4f2;
  color: #f42;
  padding: 10px 14px 0 14px;
}

.hard-fork-latest > img {
  grid-column: 2 /2;
  max-width: 100%;
  height: 100%;
  overflow: hidden;
  object-fit: cover;
}

.hard-fork-list {
  display: flex;
  flex-direction: column;
  font-size: 13px;
  color: #555;
  justify-content: space-around;
  line-height: 1.5;
}

.hard-fork-list > li {
  border-bottom: 1px solid #aaa;
  padding: 6px 0 6px 14px;
}

.hard-fork-list > li::before {
  content: "\2022";
  color: #f42;
}

/* LATEST DEALS */

.deals {
  margin: 0 auto;
  display: flex;
  flex-direction: column;
  padding: 40px 20px;
}

.deals h2 {
  padding: 8px 8px 25px 8px;
}

.deal-text > h5 > span {
  color: #555;
  margin-left: 10px;
}

.deals > h2 > a > span {
  float: right;
  font-size: 16px;
  font-weight: 700;
  margin-top: 10px;
  white-space: nowrap;
}

.deal1,
.deal2,
.deal3,
.deal4,
.deal5,
.deal6,
.deal7,
.deal8 {
  display: grid;
  grid-template-columns: 75px 1fr;
  column-gap: 15px;
  padding: 8px;
}

.deal-imgconteiner {
  width: 75px;
  height: 75px;
  overflow: hidden;
}

.deal-imgconteiner img {
  height: 75px;
}

.deal-text > h5 {
  font-size: 16px;
  padding-top: 5px;
  font-weight: 700;
}

.deal-text > h4 {
  font-size: 16px;
  padding-top: 5px;
  line-height: 1.3;
}

.deal-text del {
  text-decoration: line-through;
  color: #aaa;
  font-size: 85%;
}

/* FOOTER */

footer {
  width: 100%;
}

.footer-more {
  background-color: #131313;
  padding: 3em 0;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.footer-social {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  margin-bottom: 2em;
  width: 90%;
}

.footer-social i {
  color: whitesmoke;
  background-color: #555;
  width: 40px;
  height: 40px;
  text-align: center;
  line-height: 40px;
  border: 2px solid #555;
  border-radius: 50%;
  margin: 3px;
}

.footer-social i:hover {
  color: whitesmoke;
  background-color: #131313;
}

.footer-links {
  width: 90%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: center;
}

.footer-links li {
  list-style: none;
  line-height: 24px;
  font-weight: 500;
  margin: 0 10px;
}

.footer-legal {
  background-color: #000;
  color: #aaa;
  font-size: 18px;
  line-height: 25px;
  text-align: center;
  padding: 3em 0;
  display: flex;
  flex-direction: column;
  width: 100%;
}

.footer-legal img {
  width: auto;
  height: 15px;
  filter: invert(100%);
}

/* MEDIA QUERY IPAD */

@media only screen and (min-width: 768px) {
  .container {
    padding-top: 0;
  }

  /* HEADER */

  .top-links {
    display: flex;
    justify-content: space-between;
    height: 30px;
    line-height: 30px;
    font-size: 13px;
    background-color: #131313;
    width: 100%;
    color: #555;
    padding: 0;
  }

  .top-links-left,
  .top-links-right {
    display: flex;
    height: 100%;
  }

  .top-links-left a,
  .top-links-right a {
    margin-left: 15px;
  }

  .top-links-left > li:first-child {
    color: rgba(255, 255, 255, 0.644);
  }

  .top-links-left {
    padding-left: 100px;
  }

  .top-links-right {
    padding-right: 18px;
  }

  .top-center-ipad a {
    padding-left: 10px;
    color: grey;
  }

  .right-side > a:last-child {
    display: none;
  }

  .top-center {
    display: block;
    width: 80vw;
    padding-left: 15px;
    color: #555;
    font-size: 14px;
    font-weight: 400;
  }

  .top-center-ipad {
    display: inline-flex;
  }

  nav,
  header,
  .banner {
    position: sticky;
    top: 0;
    width: 100%;
  }

  /* MAIN ARTICLES */

  .main-articles {
    grid-template-columns: 2fr 1fr;
    grid-template-rows: 1fr 1fr;
    column-gap: 10px;
    row-gap: 10px;
    margin: 5px auto;
  }

  .main-article1 {
    grid-row: 1/3;
    grid-column: 1/1;
  }

  .main-article1-text {
    justify-content: flex-end;
  }

  .main-article1-text h6 {
    margin: 15px 0;
  }

  .main-article1 > .main-article1-text > h3 > a:first-of-type {
    font-size: 40px;
    line-height: 1;
  }

  /* LATEST NEWS */

  .latest-new {
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: 60px repeat(3, 1fr);
  }

  .latest-news-title {
    grid-column: 1/-1;
  }

  .latest-news {
    display: grid;
    grid-template-rows: auto;
    grid-template-columns: auto;
  }

  .latest-news .one,
  .latest-news .two,
  .latest-news .three,
  .latest-news .four,
  .latest-news .five,
  .latest-news .six,
  .latest-news .seven,
  .latest-news .eight {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 1fr 1fr;
    padding: 8px;
  }

  .latest-news-imgcontainer {
    width: 100%;
    height: 100%;
    grid-row: 1/ 2;
    grid-column: 1/-1;
  }

  .latest-news-imgcontainer img {
    object-fit: contain;
    width: 100%;
    height: 100%;
  }

  .latest-news > h2 {
    grid-column: 1/3;
    grid-row: 1/1;
  }

  .latest-news > h4 {
    grid-column: 1/1;
    grid-row: 3/3;
    font-weight: bolder;
    font-size: 14px;
    padding-top: 15px;
  }

  .latest-news > span {
    grid-column: 1/1;
    grid-row: 4/4;
    font-size: 12px;
    color: #aaa;
    padding: 15px 0 20px 0;
  }

  /* LATEST FUNDING */

  .latest-funding {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: 50px 60px 40px 1fr;
    column-gap: 10px;
  }

  .latest-funding-header {
    grid-column: 1/4;
    grid-row: 1/1;
  }

  .latest-funding1 {
    grid-row: 4/4;
    grid-column: 1/1;
  }

  .latest-funding2 {
    grid-row: 4/4;
    grid-column: 2/2;
  }

  .latest-funding3 {
    grid-row: 4/4;
    grid-column: 3/3;
  }

  /* HARD FORK */

  .hard-fork,
  .apps,
  .gear,
  .tech,
  .creative,
  .podium,
  .insights,
  .launch,
  .distract {
    width: 100%;
    margin: 0;
    padding: 0;
    margin-bottom: 40px;
  }

  .hard-fork-main {
    height: 32vw;
  }

  .wrapper {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    column-gap: 20px;
    margin: 30px 30px;
  }

  /* DEALS */

  .deals {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: 60px auto;
  }

  .deals h2 {
    grid-column: 1/-1;
  }

  .deal1,
  .deal2,
  .deal3,
  .deal4,
  .deal5,
  .deal6,
  .deal7,
  .deal8 {
    display: grid;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr 1fr 1fr;
    column-gap: 15px;
    padding: 8px;
    overflow: hidden;
  }

  .deal-imgconteiner {
    position: relative;
    overflow: hidden;
    width: 100%;
    height: 100%;
    grid-row: 1/3;
  }

  .deal-imgconteiner img {
    object-fit: contain;
    width: 100%;
    height: 100%;
  }

  .deal-imgconteiner > span {
    display: block;
    background-color: #fc0;
    font-weight: bold;
    position: absolute;
    top: 0;
    right: 0;
    padding: 60px;
    padding-bottom: 10px;
    font-size: 12px;
    margin-top: -25px;
    margin-right: -75px;
    transform: rotate(45deg);
  }

  /* FOOTER */

  .footer-legal {
    flex-direction: row;
    justify-content: center;
  }
}

/* MEDIA QUERY LAPTOP */

@media only screen and (min-width: 1024px) {
  .top-links-left {
    padding-left: 10px;
  }

  .top-center-laptop { display: flex; }

  .left-side {
    display: none;
  }

  .main-logo-media {
    display: flex;
    color: white;
    justify-content: space-between;
    box-shadow: inset 20px 80px 70px -20px rgba(255, 10, 10, 0.548);
    min-height: 20vw;
  }

  .date {
    font-size: 14px;
    margin: 10px;
    width: 230px;
  }

  .main-logo-mediaquery {
    display: flex;
    height: auto;
    width: 60%;
    object-fit: contain;
    filter: invert(100%);
    z-index: 1;
    margin-top: -100px;
  }

  .main-article1 {
    flex-direction: column-reverse;
    box-shadow: inset 20px 150px 190px 90px rgba(0, 0, 0, 0.8);
  }

  .latest-new {
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 60px auto;
  }

  .latest-funding {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    grid-template-rows: 50px 1fr;
    column-gap: 10px;
  }

  .latest-funding4 {
    display: grid;
    grid-template-rows: 38px auto 160px;
    padding-top: 10px;
    grid-row: 4/4;
    grid-column: 4/4;
  }

  .latest-funding-header {
    grid-column: 1/-1;
    display: inline-flex;
    justify-content: space-between;
    align-items: center;
  }

  .sga {
    display: inline-flex;
    flex-direction: row-reverse;
  }

  .sga > h4 {
    font-weight: 500;
    margin: 0 8px;
  }

  .deal-text > h4 {
    font-weight: 700;
  }

  .sga > h4:not(:last-child) {
    border-left: 1.5px solid #f42;
    padding-left: 12px;
  }

  .wrapper {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-auto-rows: auto;
    column-gap: 20px;
    margin: 30px 30px;
  }

  .hard-fork-main {
    height: 25vw;
  }

  .deals {
    grid-template-columns: repeat(4, 1fr);
  }

  .main-article1 > .main-article1-text > h3 > a:first-of-type {
    font-size: 56px;
    line-height: 1;
  }

  .deal-imgconteiner > span {
    padding: 80px;
    padding-bottom: 5px;
    font-size: 16px;
    margin-top: -30px;
    margin-right: -85px;
  }
}
